/*======================================================================================================================
  (c) Copyright OMRON Europe BV 2016
  All Right Reserved
  OMRON Development & Engineering
  -----------------------------------------------------------------------------------------------------------------*//**
  @file
  
  Implements the application logic for storing the RSA key in the TPM and to retrieve it when verifying data
*//*==================================================================================================================*/

#ifndef EXTENSIONS_APPLIC_INC_APP_RSA128_H_
#define EXTENSIONS_APPLIC_INC_APP_RSA128_H_

/*=== Include files ==================================================================================================*/
#include "types.h"

/*=== Constant definitions ===========================================================================================*/

/*=== Macro definitions ==============================================================================================*/

/*=== Type definitions for events ====================================================================================*/

/*=== Type definitions ===============================================================================================*/

/*=== Macro-function definitions =====================================================================================*/

/*=== Inline-function definitions ====================================================================================*/
  
/*=== Function declarations (Interface functions) ====================================================================*/
int apprsacstm_encrypt(t_U8* const input, int const inputLen, t_U8* const output, t_U8 const * const mod, t_U8 const * const pub, int const keyLen);

#endif
