/*++

 There are platform dependent and general defines.

 --*/

#ifndef TSS_PLATFORM_H
#define TSS_PLATFORM_H

#include "types.h"

typedef t_U8 UINT8;
typedef t_U16 UINT16;
typedef t_U32 UINT32;
typedef t_U64 UINT64;

typedef UINT8 BYTE;
typedef UINT8 TSS_BOOL;
typedef char TSS_UNICODE;

#endif // TSS_PLATFORM_H
