/*======================================================================================================================
  (c) Copyright OMRON Europe BV 2016
  All Right Reserved
  OMRON Development & Engineering
  -----------------------------------------------------------------------------------------------------------------*//**
  @file

  This file is part of Omron Secure Boot (OSB).

  Omron Secure Boot (OSB) is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Omron Secure Boot (OSB) is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Omron Secure Boot (OSB).  If not, see <http://www.gnu.org/licenses/>.

*//*==================================================================================================================*/

#ifndef UTIL_MISC_H_
#define UTIL_MISC_H_


/*=== Include files ==================================================================================================*/
#include "types.h"
#include <stdio.h>

/*=== Constant definitions ===========================================================================================*/

/*=== Macro definitions ==============================================================================================*/

/*=== Type definitions for events ====================================================================================*/

/*=== Type definitions ===============================================================================================*/

/*=== Macro-function definitions =====================================================================================*/

/*=== Inline-function definitions ====================================================================================*/

/*=== Function declarations (Interface functions) ====================================================================*/

int misc_fwriteHex(FILE* const keyfile, t_U8 const * const buf, t_U8 const asCarray);
void misc_printKey(const t_U8 const * const key, int const keyLen);
void misc_printHash(const t_U8 const * const hash, int const hashLen);
int misc_getAesKey(char const * const filename, int const keyIndex, t_U8* const key, int * const keyLen);

#endif
