/*======================================================================================================================
  (c) Copyright OMRON Europe BV 2016
  All Right Reserved
  OMRON Development & Engineering
  -----------------------------------------------------------------------------------------------------------------*//**
  @file
  
  <short description of the file in one sentence>. 

  [Optional extended description of the file. More details] 
  
  [@pre <pre-conditions and Environment restrictions>]
*//*==================================================================================================================*/

#ifndef EXTENSIONS_SIMPLE_LIBC_LINUX_H_
#define EXTENSIONS_SIMPLE_LIBC_LINUX_H_

/*=== Include files ==================================================================================================*/

/*=== Constant definitions ===========================================================================================*/
#ifndef __USE_LINUX__

#include <shared.h>

#define size_t unsigned int
#define time_t int
#define clock_t int

#ifdef DEBUG
#define assert(x)   if (!(x)) {printf("Assert in file %s on line %d\n", __FILE__, __LINE__); for(;;);};
#else
#define assert(x)   if (!(x)) {printf("Assert in file %s on line %d\n", __FILE__, __LINE__); for(;;);};
#endif
//#define printf grub_printf


time_t time (time_t *__timer);
clock_t clock (void);
void exit (int __status);


#define CLOCKS_PER_SEC 1_000_000

int getpid(void);

void srand (unsigned int __seed);

void perror(const char *msg) ;
void __assert_fail (const char *__assertion, const char *__file, unsigned int __line, const char *__function);;
void *memset (void *__s, int __c, int __n);

int strlen(const char * str);
/*=== Macro definitions ==============================================================================================*/

/*=== Type definitions for events ====================================================================================*/

/*=== Type definitions ===============================================================================================*/

/*=== Macro-function definitions =====================================================================================*/

/*=== Inline-function definitions ====================================================================================*/

/*=== Function declarations (Interface functions) ====================================================================*/
#else
#endif
#endif

