/*======================================================================================================================
 (c) Copyright OMRON Europe BV 2016
 All Right Reserved
 OMRON Development & Engineering
 -----------------------------------------------------------------------------------------------------------------*/
/**
 @file

 Implementation of generic BIOS functionallity

 */
/*==================================================================================================================*/

#ifndef EXTENSIONS_BIOS_INC_CMOS_H_
#define EXTENSIONS_BIOS_INC_CMOS_H_

/*=== Include files ==================================================================================================*/

#include "types.h"

/*=== Constant definitions ===========================================================================================*/

/*=== Macro definitions ==============================================================================================*/

/*=== Type definitions for events ====================================================================================*/

/*=== Type definitions ===============================================================================================*/

/*=== Macro-function definitions =====================================================================================*/

/*=== Inline-function definitions ====================================================================================*/

/*=== Function declarations (Interface functions) ====================================================================*/

t_bool bios_cmpDmiEntry(t_U8 const dmiType, t_U32 const dataOffset, t_U32 const dataLen, t_U8 const* const data);
void bios_timerInit(t_U32 const delay);
int bios_timerOverflow(void);

#endif
